## concavity 0.1

=== Makefile ===
#
# Makefile for GAPS
#

opt:
	$(MAKE) target "TARGET=$@"

debug:
	$(MAKE) target "TARGET=$@"

clean:
	$(MAKE) target "TARGET=$@"

release:
	mkdir -p release
	cp README.txt release
	cp COPYING release
	cp Makefile release
	cp -r scripts release
	$(MAKE) target "TARGET=$@"

target: 
	cd pkgs; $(MAKE) $(TARGET)
	cd apps; $(MAKE) $(TARGET)

=== pkgs/RNBasics/Makefile ===
#
# Package name and list of source files.
#

NAME=RNBasics
CCSRCS=$(NAME).C \
	RNTime.C \
        RNGrfx.C RNRgb.C \
        RNHeap.C RNQueue.C RNArray.C \
	RNSvd.C RNIntval.C RNScalar.C \
 	RNType.C \
 	RNFlags.C \
	RNMem.C \
	RNError.C \
	RNBase.C 



#
# R3 library makefile
#

include ../../scripts/Makefile.pkgs

=== debian/changelog ===
concavity (0.1-2) unstable; urgency=low

  * Added cmd line argument for limiting cavity threshold search steps.
  * Use a wildcard to account for all architectures (Closes: #693017).

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 10 Oct 2012 18:05:08 +0200

concavity (0.1-1) unstable; urgency=low

  * Initial release (Closes: #689020)

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 28 Sep 2012 14:23:53 +0200

=== debian/control ===
Source: concavity
Section: science
Priority: extra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Laszlo Kajan <lkajan@rostlab.org>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.4
Homepage: http://compbio.cs.princeton.edu/concavity/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/concavity/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/concavity/trunk/
DM-Upload-Allowed: yes

Package: concavity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: conservation-code, pymol
Description: predictor of protein ligand binding sites from structure and conservation
 ConCavity predicts protein ligand binding sites by combining evolutionary
 sequence conservation and 3D structure.
 .
 ConCavity takes as input a PDB format protein structure and optionally
 files that characterize the evolutionary sequence conservation of the chains
 in the structure file.
 .
 The following result files are produced by default:
  * Residue ligand binding predictions for each chain (*.scores).
  * Residue ligand binding predictions in a PDB format file (residue
    scores placed in the temp. factor field, *_residue.pdb).
  * Pocket prediction locations in a DX format file (*.dx).
  * PyMOL script to visualize the predictions (*.pml).
 .
 ConCavity has many features.  The default run of concavity is equivalent to
 ConCavity^L in the paper:
 'Capra JA, Laskowski RA, Thornton JM, Singh M, and Funkhouser TA(2009)
 Predicting Protein Ligand Binding Sites by Combining Evolutionary Sequence
 Conservation and 3D Structure. PLoS Comput Biol, 5(12).'.
 .
 score_conservation(1) from the conservation-code package can be used to
 calculate evolutionary sequence conservation for concavity.

Package: concavity-dbg
Section: debug
Architecture: any
Depends: concavity (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: predictor of protein ligand binding sites (debug)
 ConCavity predicts protein ligand binding sites by combining evolutionary
 sequence conservation and 3D structure.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export prefix:=/usr
export USER_CFLAGS:="-Wno-write-strings"
export VERSION:=$(shell dpkg-parsechangelog --format rfc822|sed --posix -n -e 's/^Version: \([0-9.]*\).*/\1/p;')

.PHONY: get-orig-source
get-orig-source:
	set -e; \
	if ! which xz; then \
		echo "Could not find 'xz' tool for compression. Please apt-get install xz-utils." ; \
		exit ; \
	fi ; \
	t=$$(mktemp -d) || exit 1; \
	trap "rm -rf -- '$$t'" EXIT; \
	pwd; \
	wget -O $$t/concavity_$(VERSION).orig.tar.gz --quiet http://compbio.cs.princeton.edu/concavity/concavity_distr.tar.gz; \
	( cd "$$t"; \
		gunzip *.tar.gz; \
		tar --owner=root --group=root --mode=a+rX --delete -f *.tar --wildcards 'concavity_distr/pkgs/freeglut'; \
		xz --best *.tar; \
	); \
	mv $$t/*.tar.xz ./

%:
	dh $@ --parallel

.PHONY: man
man:
	$(MAKE) man VERSION=$(VERSION) prefix=$(prefix)

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=concavity-dbg

ChangeLog: README.txt
	sed -ne '/^--- Revision History ---/,/^---/{ /^--- Inst/d; p; }' $< > $@

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs: ChangeLog
	dh_installchangelogs

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	rm -f $(MANS) $(SCRIPTS) ChangeLog

## concavity 0.1%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export prefix:=/usr
export USER_CFLAGS:="-Wno-write-strings"
export VERSION:=$(shell dpkg-parsechangelog --format rfc822|sed --posix -n -e 's/^Version: \([0-9.]*\).*/\1/p;')

get-orig-source:
	wget -O ../concavity_distr.tar.gz --quiet http://compbio.cs.princeton.edu/concavity/concavity_distr.tar.gz && \
	mk-origtargz --repack --compress xz ../concavity_distr.tar.gz

%:
	dh $@ --parallel

man:
	$(MAKE) man VERSION=$(VERSION) prefix=$(prefix)

ChangeLog: README.txt
	sed -ne '/^--- Revision History ---/,/^---/{ /^--- Inst/d; p; }' $< > $@

override_dh_installchangelogs: ChangeLog
	dh_installchangelogs

override_dh_auto_clean:
	rm -f $(MANS) $(SCRIPTS) ChangeLog

## concavity 0.1%2Bdfsg.1

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,20 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
+include /usr/share/dpkg/default.mk
+
 export prefix:=/usr
 export USER_CFLAGS:="-Wno-write-strings"
-export VERSION:=$(shell dpkg-parsechangelog --format rfc822|sed --posix -n -e 's/^Version: \([0-9.]*\).*/\1/p;')
+export VERSION:=$(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+dfsg//')
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 get-orig-source:
 	wget -O ../concavity_distr.tar.gz --quiet http://compbio.cs.princeton.edu/concavity/concavity_distr.tar.gz && \
 	mk-origtargz --repack --compress xz ../concavity_distr.tar.gz
 
 %:
-	dh $@ --parallel
+	dh $@
 
 man:
 	$(MAKE) man VERSION=$(VERSION) prefix=$(prefix)

## concavity 0.1+dfsg

=== apps/Makefile ===
#
# Makefile for GAPS apps
#

opt:
	$(MAKE) target "TARGET=$@"

debug:
	$(MAKE) target "TARGET=$@"

clean:
	$(MAKE) target "TARGET=$@"

release:
	mkdir -p ../release/apps
	cp Makefile ../release/apps
	$(MAKE) target "TARGET=$@"

target: 
	cd concavity; $(MAKE) $(TARGET)

=== pkgs/PDB/Makefile ===
#
# Package name and list of source files.
#

NAME=PDB
CCSRCS=$(NAME).C \
	PDBElement.C PDBAminoAcid.C \
        PDBAtom.C PDBResidue.C PDBChain.C PDBModel.C PDBFile.C \
        PDBBond.C PDBAtomTypes.C PDBUtil.C PDBDistance.C



#
# Include standard makefile
#

include ../../scripts/Makefile.pkgs

=== debian/changelog ===
concavity (0.1+dfsg-1) unstable; urgency=low

  [ Laszlo Kajan ]
  * Removed dm upload allowed from d/control.

  [ Andreas Tille ]
  * add myself to Uploaders
  * cme fix dpkg-control
  * moved debian/upstream to debian/metadata/upstream
  * use Files-Excluded to create upstream source
  * moved to git
  * debhelper 9
  * Priority: optional
  * remove debug package since these are generated automatically
  * DEP5 fixes
  * cleanup rules

 -- Andreas Tille <tille@debian.org>  Fri, 08 Jan 2016 09:39:18 +0100

=== debian/control ===
Source: concavity
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Laszlo Kajan <lkajan@rostlab.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/concavity.git
Vcs-Git: git://anonscm.debian.org/debian-med/concavity.git
Homepage: http://compbio.cs.princeton.edu/concavity/

Package: concavity
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: conservation-code,
          pymol
Description: predictor of protein ligand binding sites from structure and conservation
 ConCavity predicts protein ligand binding sites by combining evolutionary
 sequence conservation and 3D structure.
 .
 ConCavity takes as input a PDB format protein structure and optionally
 files that characterize the evolutionary sequence conservation of the chains
 in the structure file.
 .
 The following result files are produced by default:
  * Residue ligand binding predictions for each chain (*.scores).
  * Residue ligand binding predictions in a PDB format file (residue
    scores placed in the temp. factor field, *_residue.pdb).
  * Pocket prediction locations in a DX format file (*.dx).
  * PyMOL script to visualize the predictions (*.pml).
 .
 ConCavity has many features.  The default run of concavity is equivalent to
 ConCavity in the paper:
 'Capra JA, Laskowski RA, Thornton JM, Singh M, and Funkhouser TA(2009)
 Predicting Protein Ligand Binding Sites by Combining Evolutionary Sequence
 Conservation and 3D Structure. PLoS Comput Biol, 5(12).'.
 .
 score_conservation(1) from the conservation-code package can be used to
 calculate evolutionary sequence conservation for concavity.

=== debian/watch ===
# upstream does not provide versioned tarballs

## concavity 0.1+dfsg.1

=== pkgs/Makefile ===
#
# Makefile for GAPS pkgs
#

KERN=$(shell uname -s)

opt:
	$(MAKE) target "TARGET=$@"

debug:
	$(MAKE) target "TARGET=$@"

clean:
	$(MAKE) target "TARGET=$@"

release:
	mkdir -p ../release/pkgs
	cp Makefile ../release/pkgs
	$(MAKE) target "TARGET=$@"


ifeq ("$(KERN)","Darwin")
target: 
	cd RNBasics; $(MAKE) $(TARGET)
	cd R2Shapes; $(MAKE) $(TARGET)
	cd R3Shapes; $(MAKE) $(TARGET)
	cd R3Graphics; $(MAKE) $(TARGET)
	cd PDB; $(MAKE) $(TARGET)
else
target: 
	cd RNBasics; $(MAKE) $(TARGET)
	cd R2Shapes; $(MAKE) $(TARGET)
	cd R3Shapes; $(MAKE) $(TARGET)
	cd R3Graphics; $(MAKE) $(TARGET)
	cd PDB; $(MAKE) $(TARGET)
	cd freeglut; $(MAKE) $(TARGET)
endif

=== apps/concavity/Makefile ===
#
# Application name 
#

NAME=concavity



#
# Source files.
#

CCSRCS=grid_creation.C pocket_extraction.C $(NAME).C

#
# Libraries
#

PKG_LIBS=-lPDB -lR3Shapes -lR2Shapes -lRNBasics


#
# Include standard makefile
#

include ../../scripts/Makefile.apps

=== pkgs/R2Shapes/Makefile ===
#
# Package name and list of source files.
#

NAME=R2Shapes
CCSRCS=R2Shapes.C \
    R2Draw.C R2Io.C \
    R2Dist.C R2Cont.C R2Isect.C R2Parall.C R2Perp.C R2Relate.C \
    R2Grid.C \
    R2Arc.C R2Curve.C \
    R2Polygon.C R2Circle.C R2Box.C R2Solid.C \
    R2Shape.C \
    R2Affine.C R2Xform.C R3Matrix.C \
    R2Halfspace.C R2Span.C R2Ray.C R2Line.C R2Point.C R2Vector.C \
    R2Image.C



#
# RING library makefile
#

include ../../scripts/Makefile.pkgs

=== pkgs/R3Graphics/Makefile ===
#
# Package name, module name, and list of source files.
#

NAME=R3Graphics
CCSRCS=$(NAME).C \
    R3Io.C \
    R3Scene.C R3Node.C \
    R3Viewer.C R3Camera.C R2Viewport.C \
    R3SpotLight.C R3PointLight.C R3DirectionalLight.C R3Light.C \
    R3Material.C R3Brdf.C R2Texture.C 



#
# R3 library makefile
#

include ../../scripts/Makefile.pkgs

=== pkgs/R3Shapes/Makefile ===
#
# Package name and list of source files.
#

NAME=R3Shapes
CCSRCS=$(NAME).C \
    R3Draw.C \
    R3MeshSearchTree.C R3Kdtree.C \
    R3Isect.C R3Cont.C R3Dist.C R3Parall.C R3Perp.C R3Relate.C R3Align.C \
    R3Mesh.C R3Ellipse.C R3Circle.C R3TriangleArray.C R3Triangle.C R3Surface.C \
    R3Ellipsoid.C R3Sphere.C R3Cone.C R3Cylinder.C R3Box.C R3Solid.C \
    R3Shape.C \
    R3Affine.C R3Xform.C R3Crdsys.C R3Triad.C R4Matrix.C \
    R3Grid.C \
    R3Halfspace.C R3Plane.C R3Span.C R3Ray.C R3Line.C R3Point.C R3Vector.C \
    R3Base.C \
    ply.C


#
# R3 library makefile
#

include ../../scripts/Makefile.pkgs

=== debian/changelog ===
concavity (0.1+dfsg.1-6) unstable; urgency=medium

  * Fix clean target
    Closes: #1043837
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 15 Dec 2024 21:04:07 +0100

concavity (0.1+dfsg.1-5) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Update renamed lintian tag names in lintian overrides.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

 -- Andreas Tille <tille@debian.org>  Wed, 02 Dec 2020 20:23:17 +0100

concavity (0.1+dfsg.1-4) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Helmut Grohne ]
  * Make sure C++ compiler is used for C++ sources
    Closes: #904145

  [ Andreas Tille ]
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Sat, 08 Dec 2018 00:08:02 +0100

concavity (0.1+dfsg.1-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata: Added ref to OMICtools

  [ Andreas Tille ]
  * Remove unneeded Testsuite: autopkgtest
  * Fake watch file
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jul 2018 21:29:39 +0200

concavity (0.1+dfsg.1-1) unstable; urgency=medium

  * Team upload.
  * Remove ply.* files. Closes: #822382
  * added README.test, mention it and example test in docs

 -- Tatiana Malygina <merlettaia@gmail.com>  Tue, 07 Jun 2016 22:28:38 +0000

concavity (0.1+dfsg-2) UNRELEASED; urgency=medium

  [ Tatiana Malygina ]
  * Add autopkgtest
  * Add output existence check for autopkgtest

  [ Andreas Tille ]
  * Remove citation information from long description
  * cme fix dpkg-control
  * Better hardening

 -- Andreas Tille <tille@debian.org>  Mon, 18 Apr 2016 08:37:39 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/concavity.git
-Vcs-Git: git://anonscm.debian.org/debian-med/concavity.git
-Homepage: http://compbio.cs.princeton.edu/concavity/
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/med-team/concavity
+Vcs-Git: https://salsa.debian.org/med-team/concavity.git
+Homepage: https://compbio.cs.princeton.edu/concavity/
+Rules-Requires-Root: no
 
 Package: concavity
 Architecture: any
@@ -30,13 +31,3 @@
     scores placed in the temp. factor field, *_residue.pdb).
   * Pocket prediction locations in a DX format file (*.dx).
   * PyMOL script to visualize the predictions (*.pml).
- .
- ConCavity has many features.  The default run of concavity is equivalent to
- ConCavity in the paper:
- 'Capra JA, Laskowski RA, Thornton JM, Singh M, and Funkhouser TA(2009)
- Predicting Protein Ligand Binding Sites by Combining Evolutionary Sequence
- Conservation and 3D Structure. PLoS Comput Biol, 5(12).'.
- .
- score_conservation(1) from the conservation-code package can be used to
- calculate evolutionary sequence conservation for concavity.
-

=== debian/rules ===
--- 
+++ 
@@ -27,3 +27,7 @@
 
 override_dh_auto_clean:
 	rm -f $(MANS) $(SCRIPTS) ChangeLog
+	find . -name "*.o" -delete
+	find . -name "*.a" -delete
+	rm -rf bin/*
+	rm -f concavity.1

=== debian/watch ===
version=4
opts=dversionmangle=s/.*/0.No-Release/ \
  https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz
